Lua
Lua::call
Lua
PHP Manual

# Lua::assign

(PECL lua >=0.9.0)

Lua::assign — Assign a PHP variable to Lua

### Description

public mixed Lua::assign ( string `$name` , string `$value` )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`name`

`value`

### Return Values

Returns $this or `NULL` on failure.

### Examples

Example #1 Lua::assign()example

`<?php
$lua = new Lua();
$lua->assign("php_var", array(1=>1, 2, 3)); //lua table index begin with 1
$lua->eval(<<<CODE
print(php_var);
CODE
);
?>`

The above example will output:

    Array
     (
         [1] => 1
         [2] => 2
         [3] => 3
     )

Lua
Lua::call
Lua
PHP Manual